ADO 2.7

 Tópico anterior Próximo tópico Novo tópico

ADO 2.7

VB / VBA

 Compartilhe  Compartilhe  Compartilhe
#16308 - 20/03/2004 22:45:09

USUARIO.EXCLUIDOS

Cadast. em:


Ol a todos,

Estou fazendo um programa em ADO, ao executar o programa a seguinte linha fica marcada em amarelo:

conexao.Provider = "Microsoft.Jet.OLEDB.4.0"

e abre a janela de erro 424, objeto requerido.

O que quer dizer esta mensagem?

Meu banco de dados no est vazio
No meu VB6 est instalado o Microsoft ActiveX Data Objects 2.1 Library, ser necessrio ter instalado o 2.7 ?

Se for isso em que site posso arrum-lo ?

Grato



Resposta escolhida #16310 - 20/03/2004 23:00:54

USUARIO.EXCLUIDOS

Cadast. em:


No necessriamente a verso 2.7, mas creio que pelo menos a verso 2.5...
Para ter certeza, verifique no painel de controle (Fontes de Dados ODBC) a verso desse mesmo provider (driver). Se vc tiver o ADO instalado na verso em portugues, vc ver algo como "Driver do Microsoft Access (*.mdb)" e na frente a verso do mesmo. Se a verso for menor que 4, vc no conseguir conectar com o Access com esse provider que vc est utilizando (Microsoft.Jet.OLEDB.4.0)

Para atualizar o drive do ADO (Microsoft ActiveX Data Objects), vc poder encontr-lo no proprio site da Microsoft - procure como "mdac"

Espero ter ajudado.



 Tópico anterior Próximo tópico Novo tópico


Tópico encerrado, respostas não sao permitidas
Encerrado por WEBMASTER em 18/08/2009 10:03:45